<?php

$INFO = "INFO";
$ACT_VERIFY = "verify";
$ACT_SEARCH = "search";
$DOWNLOAD_CENTER_PATH = "/usr/local/AppCentral/download-center";

if (isset($argv[1], $argv[2], $argv[3], $argv[4]))
{
	// get dir
	$ACT = $argv[1];
	$USR_DIR = $argv[2];

	// parser INFO
	$szbuf = file_get_contents($USR_DIR."/INFO");
	$json_conf = json_decode($szbuf, true);
	foreach($json_conf as $key => $value)
	{
		if (0 == strcmp($key, "module"))
		{
			$search_php = $value;
		}
		if (0 == strcmp($key, "class"))
		{
			$search_class = $value;
		}
	}
	if (isset($search_class, $search_php))
	{
		require $USR_DIR."/".$search_php;
		require $DOWNLOAD_CENTER_PATH."/bin/"."plugin.php";

		$plugin = new PLUG;
		$search = new $search_class;
		
		if (0 == strcmp($ACT_VERIFY, $ACT))
		{
			$ACCOUNT = $argv[3];
			$PASSWD = $argv[4];
			return $search->VerifyAccount($ACCOUNT, $PASSWD);
		}
		else if (0 == strcmp($ACT_SEARCH, $ACT))
		{
			$OUTPUT = $argv[3];
			$QUERY_STRING = $argv[4];
			$ACCOUNT = $argv[5];
			$PASSWD = $argv[6];
			if ($argv[7] != NULL) 
				$SEARCH_PAGE = $argv[7];
			else 
				$SEARCH_PAGE = 5;
				

			$curl_handle = curl_init();
			$plugin->initialResultArray();
			if (isset($ACCOUNT, $PASSWD))
			{
				$search->prepare($curl_handle, $QUERY_STRING ,$ACCOUNT, $PASSWD);
			}
			else
			{
				$search->prepare($curl_handle, $QUERY_STRING); 
			}
			curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($curl_handle, CURLOPT_FOLLOWLOCATION, 1);
			$tmp=curl_exec($curl_handle);
			$search->parse($plugin, $tmp, $OUTPUT, $SEARCH_PAGE);
		}
	}
}
?>
